%% Find the tall waiters
Waiters = {'John' 'Paul' 'George' 'Ringo' 'Mick' 'Keith' 'Bill' 'Charlie'};
Heights = [70 69 68 65 62 68 69 72];
% Find all waiters taller than 68 inches
Waiters(Heights>68)
% Then find all waiters taller than the average height of these guys
Waiters(Heights>mean(Heights))
% Now find all waiters taller than the median height of these guys
Waiters(Heights>median(Heights))

%% Find the outlier
% Create a vector of 100 random normally-distributed numbers, and find any values greater than 
% 2 std deviations above the mean
% First make the vectors of numbers
distribution = randn(100,1)
% Then do a three step method:  find mean, find std deviation, find entries
% exceeding 2 sd
mean_dist = mean(distribution)
std_dist = std(distribution)
outliers = distribution(distribution>(mean_dist+2*std_dist))
% 
% Then try a single-step method
outliers = distribution(distribution>(mean(distribution)+2*std(distribution)))
